List information assets
curl --request GET \
--url https://api.trycomp.ai/v1/assets \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/assets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Assets
List information assets | Comp AI API
Lists the organization’s information assets (vendors, cloud resources, systems, devices, data flows) with their ePHI lifecycle flags, owner and linked.
GET
/
v1
/
assets
List information assets
curl --request GET \
--url https://api.trycomp.ai/v1/assets \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/assets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
API key for authentication
Query Parameters
Filter by asset type
Available options:
vendor, cloud_resource, internal_system, workforce_devices, data_flow, physical_media, other Filter by status
Available options:
active, retired Search by name (case-insensitive contains)
Example:
"database"
Response
200
Assets ordered by creation
Was this page helpful?

